#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pyxdg
Summary:	Python 2 implementations of freedesktop.org standards
Summary(pl.UTF-8):	Implementacje standardów freedesktop.org w języku Python 2
Name:		python-%{module}
Version:	0.26
Release:	2
License:	LGPL v2
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyxdg/
Source0:	https://files.pythonhosted.org/packages/source/p/pyxdg/%{module}-%{version}.tar.gz
# Source0-md5:	db1c2af8300ca64ce3955b3cf2490c92
URL:		https://freedesktop.org/wiki/Software/pyxdg/
%{?with_python2:BuildRequires:	python-devel >= 1:2.6}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyXDG is a Python module to access freedesktop.org standards. The
package contains:

 - Implementation of the XDG-Base-Directory Standard
 - Implementation of the XDG-Desktop Standard
 - Implementation of the XDG-Menu Standard
 - Implementation of the XDG-Icon-Theme Standard
 - Implementation of the XDG-Shared MIME-info Database
 - Implementation of the XDG-Recent File Storage Specification

%description -l pl.UTF-8
PyXDG jest modułem języka Python, pozwalającym na wykorzystywanie
standardów freedesktop.org. Pakiet zawiera:

 - Implementację standardu XDG-Base-Directory
 - Implementację standardu XDG-Desktop
 - Implementację standardu XDG-Menu
 - Implementację standardu XDG-Icon-Theme
 - Implementację bazy XDG-Shared MIME-info
 - Implementację specyfikacji XDG-Recent File Storage

%package -n python3-pyxdg
Summary:	Python 3 implementations of freedesktop.org standards
Summary(pl.UTF-8):	Implementacje standardów freedesktop.org w języku Python 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-pyxdg
PyXDG is a Python module to access freedesktop.org standards. The
package contains:

 - Implementation of the XDG-Base-Directory Standard
 - Implementation of the XDG-Desktop Standard
 - Implementation of the XDG-Menu Standard
 - Implementation of the XDG-Icon-Theme Standard
 - Implementation of the XDG-Shared MIME-info Database
 - Implementation of the XDG-Recent File Storage Specification

%description -n python3-pyxdg -l pl.UTF-8
PyXDG jest modułem języka Python, pozwalającym na wykorzystywanie
standardów freedesktop.org. Pakiet zawiera:

 - Implementację standardu XDG-Base-Directory
 - Implementację standardu XDG-Desktop
 - Implementację standardu XDG-Menu
 - Implementację standardu XDG-Icon-Theme
 - Implementację bazy XDG-Shared MIME-info
 - Implementację specyfikacji XDG-Recent File Storage

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{py_sitescriptdir}/xdg
%{py_sitescriptdir}/xdg/*.py[co]
%{py_sitescriptdir}/pyxdg-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pyxdg
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{py3_sitescriptdir}/xdg
%{py3_sitescriptdir}/xdg/*.py
%{py3_sitescriptdir}/xdg/__pycache__
%{py3_sitescriptdir}/pyxdg-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyxdg.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 39a1e96
- release 2 (by relup.sh)

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> b031678
- updated to 0.26

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> d683c11
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cdc60b8
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ede7d4c
- python 3.6
- release 6 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> d8f979f
- use rpm python macros
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 18ae9cb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 43d40fe
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 49632ee
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d3ceaae
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 876ebba
- python 3.4
- release 2 (by relup.sh)

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 0a86f25
- updated 0.25
- added python3 package

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> f842763
- release 2

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> e4ec6e2
- Up to 0.19

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 517cce9
- release 3

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> cb2046f
- release 2

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 3e92722
- no egg in py2.4

* Sat Nov 01 2008 wrobell <wrobell@pld-linux.org> 832b30d
- ver. 0.17

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f0b1b1
- release 2

* Sat Sep 29 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9d5d3a9
- release 1

